fold_right.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/control/while.hpp>`
`#include <msgpack/preprocessor/debug/error.hpp>`
`#include <msgpack/preprocessor/detail/auto_rec.hpp>`
`#include <msgpack/preprocessor/list/detail/fold_right.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_FOLD_RIGHT MSGPACK_PP_CAT(MSGPACK_PP_LIST_FOLD_RIGHT_, MSGPACK_PP_AUTO_REC(MSGPACK_PP_WHILE_P, 256))
#define | MSGPACK_PP_LIST_FOLD_RIGHT_257(o, s, l) MSGPACK_PP_ERROR(0x0004)
#define | MSGPACK_PP_LIST_FOLD_RIGHT_D(d, o, s, l) MSGPACK_PP_LIST_FOLD_RIGHT_ ## d(o, s, l)
#define | MSGPACK_PP_LIST_FOLD_RIGHT_2ND MSGPACK_PP_LIST_FOLD_RIGHT
#define | MSGPACK_PP_LIST_FOLD_RIGHT_2ND_D MSGPACK_PP_LIST_FOLD_RIGHT_D

## Macro Definition Documentation

## MSGPACK_PP_LIST_FOLD_RIGHT

#define MSGPACK_PP_LIST_FOLD_RIGHT MSGPACK_PP_CAT(MSGPACK_PP_LIST_FOLD_RIGHT_, MSGPACK_PP_AUTO_REC(MSGPACK_PP_WHILE_P, 256))

## MSGPACK_PP_LIST_FOLD_RIGHT_257

#define MSGPACK_PP_LIST_FOLD_RIGHT_257 | ( |  | o,
|  |  | s,
|  |  | l
| ) |  | MSGPACK_PP_ERROR(0x0004)

## MSGPACK_PP_LIST_FOLD_RIGHT_2ND

#define MSGPACK_PP_LIST_FOLD_RIGHT_2ND MSGPACK_PP_LIST_FOLD_RIGHT

## MSGPACK_PP_LIST_FOLD_RIGHT_2ND_D

#define MSGPACK_PP_LIST_FOLD_RIGHT_2ND_D MSGPACK_PP_LIST_FOLD_RIGHT_D

## MSGPACK_PP_LIST_FOLD_RIGHT_D

#define MSGPACK_PP_LIST_FOLD_RIGHT_D | ( |  | d,
|  |  | o,
|  |  | s,
|  |  | l
| ) |  | MSGPACK_PP_LIST_FOLD_RIGHT_ ## d(o, s, l)